{% load static %}
{% load hosts %}
<!DOCTYPE html>
<html lang="en">
<head>
    {% block head-up %}{% endblock %}

    <meta charset="UTF-8">
    <title>Modestin</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="shortcut icon" href="{% static 'images/favicon/favicon.ico' %}" type="image/x-icon">

    <script src="//code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">

    <link rel="stylesheet" href="//cdn.materialdesignicons.com/3.4.93/css/materialdesignicons.min.css">

    <!--FONTS-->
    <link href="https://fonts.googleapis.com/css?family=M+PLUS+Rounded+1c:900&amp;subset=cyrillic" rel="stylesheet">

    {% if user.is_authenticated %}
        <!--User avatar-->
        <style>
            .user-avatar {
                width: 60px;
                height: 60px;
                border-radius: 50%;
                border: 1px solid #e0e0e0;
                background: url({{ user.image.url }}) no-repeat 0 0;
                background-size: auto 60px;
                cursor: pointer;
            }
        </style>
    {% endif %}

    {% block head %}{% endblock %}

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">

    {% block head-down %}{% endblock %}

</head>
<body>

    <header>

        <nav class="navbar navbar-expand-lg navbar-light bg-white" id="navbar">
            <div class="container-fluid">
                <a class="navbar-brand logo-font" href="/"><p>Modestin</p><p>Единая правовая площадка</p></a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" style="flex-direction: row;" id="navbarNav">
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item">
                            <a class="nav-link link-gray-bg" href="/">Алерты</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link link-gray-bg" href="/">Дайджесты</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link link-gray-bg" href="/">Аналитика</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link link-blue-bg" href="/">Юрфирмы</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link link-blue-bg" href="/">Бизнес</a>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link link-green-bg dropdown-toggle" href="#" role="button" id="dropdownMenuLink1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Просмотр</a>
                            <div class="dropdown-menu" style="border: none;    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);" aria-labelledby="dropdownMenuLink1">
                                <a target="_blank" class="dropdown-item" href="/">Статьи</a>
                                <a target="_blank" class="dropdown-item" href="/">Статьи</a>
                                <a target="_blank" class="dropdown-item" href="/">Статьи</a>
                                <a target="_blank" class="dropdown-item" href="/">Статьи</a>
                            </div>
                        </li>
                        <li class="nav-item search-link-item">
                            <a class="nav-link search-link" href="/"><i class="mdi mdi-magnify"></i> <span class="search-text">Поиск по сайту</span></a>
                        </li>
                    </ul>
                    <div class="navbar-right">
                        <ul class="navbar-nav mr-auto">
                            {% if not user.is_authenticated %}
                                <li class="nav-item">
                                    <a class="btn btn-grey" href="{% url 'login' %}">Войти</a>
                                    <a class="btn btn-blue" href="{% url 'signup' %}">Зарегистрироваться</a>
                                </li>
                            {% else %}
                                <li class="nav-item">
                                    <div class="dropdown" id="dropdown">
                                        <a class="nav-link" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <svg width="16" height="9" viewBox="0 0 16 9" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M7.29289 8.64992C7.68342 9.04044 8.31658 9.04044 8.70711 8.64992L15.0711 2.28595C15.4616 1.89543 15.4616 1.26226 15.0711 0.87174C14.6805 0.481216 14.0474 0.481216 13.6569 0.87174L8 6.52859L2.34315 0.871741C1.95262 0.481217 1.31946 0.481217 0.928932 0.871741C0.538408 1.26227 0.538408 1.89543 0.928932 2.28595L7.29289 8.64992ZM7 7.19995L7 7.94281L9 7.94281L9 7.19995L7 7.19995Z" fill="#1A161D" fill-opacity="0.12"/></svg>
                                            <div class="user-avatar"></div>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-right" id="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item {% if my_profile %}active{% endif %}" href="{% url 'profile' %}">Мой профиль</a>
                                            {% if user.is_staff %}<a class="dropdown-item" href="//admin.{{ request.META.HTTP_HOST  }}/" target="_blank">Администрирование</a>{% endif %}
                                            <a class="dropdown-item {% if settings %}active{% endif %}" href="">Настройки</a>
                                            <a class="dropdown-item" href="{% url 'logout' %}">Выйти</a>
                                        </div>
                                    </div>
                                </li>
                            {% endif %}
                        </ul>
                    </div>
                </div>
            </div>
        </nav>

    </header>

    {% block content %}{% endblock %}




    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

    {% block js %}


    {% endblock %}


</body>
</html>
